RPMUNCOMPRESS(1)

NOM
rpmuncompress – Utilitaire de RPM pour les archives et les fichiers compressés

SYNOPSIS
rpmuncompress [options] FICHIER

rpmuncompress [options] [options_extraction] {-x|--extract} ARCHIVE

DESCRIPTION
rpmuncompress est un utilitaire pour produire de manière transparente des fichiers compressés ou décompressés et pour extraire des archives.

Il est habituellement invoqué en interne par rpmbuild(1) pour gérer les tâches relatives à %setup et %patch dans les fichiers spec, mais il peut être aussi invoqué manuellement. Le répertoire d’installation de rpmuncompress peut être déterminé avec rpm -E "%{_rpmconfigdir}".

ARGUMENTS
FICHIER
    Un fichier normal, éventuellement compressé.

ARCHIVE
    Une archive tar(1), zip(1) ou GEM de Ruby. Les archives tar peuvent être compressées.

OPÉRATIONS
Par défaut, rpmuncompress produit un FICHIER sur la sortie standard de manière similaire à cat(1), mais en décompressant de manière transparente de nombreux formats de compression populaires, de manière similaire à zcat(1).

-x, --extract
    Extraction de l’ARCHIVE passée en argument dans le répertoire actuel, en décompressant de manière transparente les archives tar(1) si nécessaire.

OPTIONS
-n, --dry-run
    Afficher la commande d’interpréteur qui serait exécutée sans cette option.

OPTIONS D’EXTRACTION
-C CHEMIN, --path=CHEMIN
    Extraction dans le CHEMIN quel que soit la disposition interne de l’archive.

-v, --verbose
    Fournir une sortie prolixe pour l’extraction.

CODE DE RETOUR
En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

EXEMPLES
rpmuncompress /tmp/3911.patch.gz | patch -p1
    Décompresser le fichier /tmp/3911.patch.gz, de manière similaire à zcat(1), et le transmettre à patch(1).

rpmuncompress -x monprojet.zip
    Extraire l’archive monprojet.zip dans le répertoire actuel.

rpmuncompress -x -C monprojet monprojet-1.0.7rc1.tar.gz
    Décompresser et extraire l’archive monprojet-1.0.7rc1.tar.gz dans le répertoire monprojet, indépendamment de sa structure interne.

VOIR AUSSI
rpmbuild(1), popt(3)

http://www.rpm.org/

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.